Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.selenium.condition
Class JUnitConditionRunner

    java.lang.Object
      com.thoughtworks.selenium.condition.DefaultConditionRunner
          com.thoughtworks.selenium.condition.JUnitConditionRunner

All Implemented Interfaces:
  ConditionRunner

    public class JUnitConditionRunner

extends DefaultConditionRunner

This class throws an `AssertionFailedError` when the condition is not met.

Nested Class Summary

Nested classes/interfaces inherited from class com.thoughtworks.selenium.condition.DefaultConditionRunner
`DefaultConditionRunner.Log4jMonitor, DefaultConditionRunner.Monitor, DefaultConditionRunner.NoOpMonitor`

Nested classes/interfaces inherited from interface com.thoughtworks.selenium.condition.ConditionRunner
`ConditionRunner.Context`

Constructor Summary
`JUnitConditionRunner(DefaultConditionRunner.Monitor monitor, Selenium selenium, int interval, int timeout)`
`JUnitConditionRunner(DefaultConditionRunner.Monitor monitor, Selenium selenium, int initialDelay, int interval, int timeout)`
`JUnitConditionRunner(Selenium selenium)`
`JUnitConditionRunner(Selenium selenium, int interval, int timeout)`
`JUnitConditionRunner(Selenium selenium, int initialDelay, int interval, int timeout)`

Method Summary
`void` | `throwAssertionException(java.lang.String message)`
`void` | `throwAssertionException(java.lang.String message, java.lang.Throwable cause)`

Methods inherited from class com.thoughtworks.selenium.condition.DefaultConditionRunner
`waitFor, waitFor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JUnitConditionRunner

    public JUnitConditionRunner(DefaultConditionRunner.Monitor monitor,
                                Selenium selenium,
                                int initialDelay,
                                int interval,
                                int timeout)

### JUnitConditionRunner

    public JUnitConditionRunner(DefaultConditionRunner.Monitor monitor,
                                Selenium selenium,
                                int interval,
                                int timeout)

### JUnitConditionRunner

    public JUnitConditionRunner(Selenium selenium,
                                int initialDelay,
                                int interval,
                                int timeout)

### JUnitConditionRunner

    public JUnitConditionRunner(Selenium selenium,
                                int interval,
                                int timeout)

### JUnitConditionRunner

    public JUnitConditionRunner(Selenium selenium)

Method Detail

### throwAssertionException

    public void throwAssertionException(java.lang.String message)

  Overrides:
    `throwAssertionException` in class `DefaultConditionRunner`

### throwAssertionException

    public void throwAssertionException(java.lang.String message,
                                        java.lang.Throwable cause)

  Overrides:
    `throwAssertionException` in class `DefaultConditionRunner`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.